org.jboss.jca.embedded.dsl.ironjacamar10.api

## Interface IronjacamarDescriptor

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<IronjacamarDescriptor>

      public interface IronjacamarDescriptor
      extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<IronjacamarDescriptor>

  This deployment descriptor provides the functionalities as described in the specification

  Example:

  `IronjacamarDescriptor descriptor = Descriptors.create(IronjacamarDescriptor.class);`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IronjacamarDescriptor` | `bootstrapContext(java.lang.String bootstrapContext)` Sets the `bootstrap-context` element
    `ConfigPropertyType<IronjacamarDescriptor>` | `createConfigProperty()` Creates a new `config-property` element
    `java.util.List<ConfigPropertyType<IronjacamarDescriptor>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getBootstrapContext()` Returns the `bootstrap-context` element
    `AdminObjectsType<IronjacamarDescriptor>` | `getOrCreateAdminObjects()` If not already created, a new `admin-objects` element with the given value will be created.
    `BeanValidationGroupsType<IronjacamarDescriptor>` | `getOrCreateBeanValidationGroups()` If not already created, a new `bean-validation-groups` element with the given value will be created.
    `ConfigPropertyType<IronjacamarDescriptor>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `ConnectionDefinitionsType<IronjacamarDescriptor>` | `getOrCreateConnectionDefinitions()` If not already created, a new `connection-definitions` element with the given value will be created.
    `TransactionSupportType` | `getTransactionSupport()` Returns the `transaction-support` element
    `java.lang.String` | `getTransactionSupportAsString()` Returns the `transaction-support` element
    `IronjacamarDescriptor` | `removeAdminObjects()` Removes the `admin-objects` element
    `IronjacamarDescriptor` | `removeAllConfigProperty()` Removes all `config-property` elements
    `IronjacamarDescriptor` | `removeBeanValidationGroups()` Removes the `bean-validation-groups` element
    `IronjacamarDescriptor` | `removeBootstrapContext()` Removes the `bootstrap-context` element
    `IronjacamarDescriptor` | `removeConnectionDefinitions()` Removes the `connection-definitions` element
    `IronjacamarDescriptor` | `removeTransactionSupport()` Removes the `transaction-support` attribute
    `IronjacamarDescriptor` | `transactionSupport(java.lang.String transactionSupport)` Sets the `transaction-support` element
    `IronjacamarDescriptor` | `transactionSupport(TransactionSupportType transactionSupport)` Sets the `transaction-support` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor

      `exportAsString, exportTo, getDescriptorName`

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace

      `addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

- - ### Method Detail

    - #### getOrCreateBeanValidationGroups

          BeanValidationGroupsType<IronjacamarDescriptor> getOrCreateBeanValidationGroups()

      If not already created, a new `bean-validation-groups` element with the given value will be created. Otherwise, the existing `bean-validation-groups` element will be returned.
      Returns:
        a new or existing instance of `BeanValidationGroupsType`

    - #### removeBeanValidationGroups

          IronjacamarDescriptor removeBeanValidationGroups()

      Removes the `bean-validation-groups` element
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### bootstrapContext

          IronjacamarDescriptor bootstrapContext(java.lang.String bootstrapContext)

      Sets the `bootstrap-context` element
      Parameters:
        `bootstrapContext` - the value for the element `bootstrap-context`
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### getBootstrapContext

          java.lang.String getBootstrapContext()

      Returns the `bootstrap-context` element
      Returns:
        the node defined for the element `bootstrap-context`

    - #### removeBootstrapContext

          IronjacamarDescriptor removeBootstrapContext()

      Removes the `bootstrap-context` element
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<IronjacamarDescriptor> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<IronjacamarDescriptor> createConfigProperty()

      Creates a new `config-property` element
      Returns:
        the new created instance of `ConfigPropertyType`

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<IronjacamarDescriptor>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          IronjacamarDescriptor removeAllConfigProperty()

      Removes all `config-property` elements
      Returns:
        the current instance of `ConfigPropertyType`

    - #### transactionSupport

          IronjacamarDescriptor transactionSupport(TransactionSupportType transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### transactionSupport

          IronjacamarDescriptor transactionSupport(java.lang.String transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### getTransactionSupport

          TransactionSupportType getTransactionSupport()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### getTransactionSupportAsString

          java.lang.String getTransactionSupportAsString()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### removeTransactionSupport

          IronjacamarDescriptor removeTransactionSupport()

      Removes the `transaction-support` attribute
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### getOrCreateConnectionDefinitions

          ConnectionDefinitionsType<IronjacamarDescriptor> getOrCreateConnectionDefinitions()

      If not already created, a new `connection-definitions` element with the given value will be created. Otherwise, the existing `connection-definitions` element will be returned.
      Returns:
        a new or existing instance of `ConnectionDefinitionsType`

    - #### removeConnectionDefinitions

          IronjacamarDescriptor removeConnectionDefinitions()

      Removes the `connection-definitions` element
      Returns:
        the current instance of `IronjacamarDescriptor`

    - #### getOrCreateAdminObjects

          AdminObjectsType<IronjacamarDescriptor> getOrCreateAdminObjects()

      If not already created, a new `admin-objects` element with the given value will be created. Otherwise, the existing `admin-objects` element will be returned.
      Returns:
        a new or existing instance of `AdminObjectsType`

    - #### removeAdminObjects

          IronjacamarDescriptor removeAdminObjects()

      Removes the `admin-objects` element
      Returns:
        the current instance of `IronjacamarDescriptor`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)